---
stage: Systems
group: Distribution
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments
description: Read through the GitLab installation methods.
---

# Install GitLab **(FREE SELF)**

You can install GitLab on most GNU/Linux distributions, on several
cloud providers, and in Kubernetes clusters.
To get the best experience, you should balance performance, reliability,
ease of administration (backups, upgrades, and troubleshooting) with the cost of hosting.

- [Requirements](requirements.md)
- [Installation methods](install_methods.md)
- [Cloud provider guides](cloud_providers.md)
- [Offline GitLab](../topics/offline/index.md)
- [Reference architectures](../administration/reference_architectures/index.md)
- [Steps after installing](next_steps.md)
- [Upgrade GitLab](../update/index.md)
- [Install GitLab Runner](https://docs.gitlab.com/runner/install/)
- [Configure GitLab Runner](https://docs.gitlab.com/runner/configuration/)
